All main assets (Albums, Tracks, Works, Videos, Products) are now available with write capabilities
September 7th, 2026
This new API release is the biggest update we’ve made to our API so far.
It introduces write capabilities for all the main assets in your Reprtoir account, giving you greater control and flexibility when integrating with Reprtoir.
New endpoints
Albums (Write operations added)
- New endpoint added:
POST /api/albums - New endpoint added:
PUT /api/albums/{uuid} - New endpoint added:
DELETE /api/albums/{uuid}
Tracks (Write operations added)
- New endpoint added:
POST /api/tracks - New endpoint added:
PUT /api/tracks/{uuid} - New endpoint added:
DELETE /api/tracks/{uuid}
Works (Write operations added)
- New endpoint added:
POST /api/works - New endpoint added:
PUT /api/works/{uuid} - New endpoint added:
DELETE /api/works/{uuid}
Writers (New)
- New endpoint added:
GET /api/writers - New endpoint added:
POST /api/writers/search - New endpoint added:
GET /api/writers/{uuid} - New endpoint added:
POST /api/writers - New endpoint added:
PUT /api/writers/{uuid} - New endpoint added:
DELETE /api/writers/{uuid}
Publishers (New)
- New endpoint added:
GET /api/publishers - New endpoint added:
POST /api/publishers/search - New endpoint added:
GET /api/publishers/{uuid} - New endpoint added:
POST /api/publishers - New endpoint added:
PUT /api/publishers/{uuid} - New endpoint added:
DELETE /api/publishers/{uuid}
Videos (New)
- New endpoint added:
GET /api/videos - New endpoint added:
POST /api/videos/search - New endpoint added:
GET /api/videos/{uuid} - New endpoint added:
POST /api/videos - New endpoint added:
PUT /api/videos/{uuid} - New endpoint added:
DELETE /api/videos/{uuid}
Products (New)
- New endpoint added:
GET /api/products - New endpoint added:
POST /api/products/search - New endpoint added:
GET /api/products/{uuid} - New endpoint added:
POST /api/products - New endpoint added:
PUT /api/products/{uuid} - New endpoint added:
DELETE /api/products/{uuid}
Uploads (New)
- New endpoint added:
POST /api/uploads - New endpoint added:
GET /api/uploads/{uuid}
New response fields
Album
| Field | Type | Description |
|---|---|---|
exploitable | boolean | Whether the album is exploitable or not. |
language | object | The title language of the album. |
notes | string | The notes of the album. |
locked | boolean | Whether the album is locked or not. |
artwork_filename | string | The filename of the album artwork. |
price | enum | The price category of the album. One of single, mini_ep, ep, mini_album_one, mini_album_two, budget_one, budget_two, back, mid, mid_front, front_one, front_two, front_plus, deluxe_one, deluxe_two, deluxe_three, deluxe_four. |
c_line | string | The copyright (C line) of the album. |
p_line | string | The production copyright (P line) of the album. |
Track
| Field | Type | Description |
|---|---|---|
audio_filename | string | The filename of the audio of the track. |
available_separately | boolean | Whether the track is available separately from its album or not. |
language | object | The title language of the track. |
locked | boolean | Whether the track is locked or not. |
lyrics | string | The lyrics of the track. |
main_recording_session_country | object | The main recording session country of the track. |
notes | string | The notes of the track. |
original_language | object | The original title language of the track. |
original_subtitle | string | The original subtitle of the track. |
position | integer | The position of the track on its album. |
volume | integer | The volume (disc number) of the track on its album. |
preview_start | integer | The start of the preview of the track, in seconds. |
price | enum | The price category of the track. One of back, mid, front. |
p_line | string | The P-line of the track. |
recording_first_owner_country | object | The recording first owner country of the track. |
videos | array | The videos of the track (each with uuid and title). |
Work
| Field | Type | Description |
|---|---|---|
cwr_submitter_work_number | string | The CWR submitter work number of the work. |
distribution_category | enum | The distribution category of the work. One of jazz, popular, serious, unclassified. |
locked | boolean | Whether the work is locked or not. |
notes | string | The notes of the work. |
recorded_indicator | enum | Whether the work has been recorded. One of yes, no, unknown. |
version_type | enum | The version type of the work. One of original, modified. |
Documentation
- New Webhooks documentation page.
